/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2006-2011 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_kernel.h 2480 2013-02-21 13:15:21Z ertl-honda $
 */

/*
 *  kernel.hΥåװ¸ARMADILLO-800-EVAѡ
 *
 *  Υ󥯥롼ɥեϡkernel.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤΥե򥤥󥯥롼
 *  ˡt_stddef.h󥯥롼ɤΤǡ˰¸Ƥ
 *  
 */

#ifndef TOPPERS_TARGET_KERNEL_H
#define TOPPERS_TARGET_KERNEL_H

#include "armadillo-800-eva.h"

/*
 *  ѤTMU(0 or 1)
 */
#ifdef TOPPERS_SAFEG_SECURE
#define USE_TMU_ID 1
#else /* !TOPPERS_SAFEG_SECURE */
#define USE_TMU_ID 0
#endif /* TOPPERS_SAFEG_SECURE */

/*
 *  ѤTMUΥͥ(0 or 1 or 2)
 */
#define USE_TMU_CH 0

/*
 *  ѤSCIF(0 - 8)
 */
#ifdef TOPPERS_SAFEG_SECURE
#define USE_SCIF_PORTID   0
#else /* !TOPPERS_SAFEG_SECURE */
#define USE_SCIF_PORTID   1
#endif /* TOPPERS_SAFEG_SECURE */

/*
 *  TMUͥ
 */
#ifdef TOPPERS_SAFEG_SECURE
#define INTPRI_TIMER    -11
#else /* TOPPERS_SAFEG_NONSECURE */
#define INTPRI_TIMER    -2
#endif /* TOPPERS_SAFEG_SECURE */

/*
 *  OS̿ǻѤΥɥ쥹ȥ
 */
#define SAFEG_COM_MEM_ADDR  0x5FC00000
#define SAFEG_COM_MEM_SIZE  4

/*
 *  ѤSIOΥݡID
 *  SCIF Ȱ㤤 1 ꥸȤʤäƤ롥 
 */
#define USE_SIO_PORTID  (USE_SCIF_PORTID + 1)

/*
 *  åװ¸Ƕ̤
 */
#include "arm_gcc/rma1/chip_kernel.h"

#endif /* TOPPERS_TARGET_KERNEL_H */
