/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2007-2011 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: chip_serial.h 2485 2013-02-21 14:01:31Z ertl-honda $
 */

/*
 *  ꥢI/OǥХSIO˥ɥ饤СRMA1ѡ
 */

#ifndef TOPPERS_CHIP_SERIAL_H
#define TOPPERS_CHIP_SERIAL_H

#include "scif.h"

/*
 *  SIOγߥϥɥΥ٥ֹ
 */
#define INHNO_SIO_0      SCIF0_INT /* ߥϥɥֹ */
#define INTNO_SIO_0      SCIF0_INT /* ֹ */
#ifndef INTPRI_SIO_0
#define INTPRI_SIO_0     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_0 */
#define INTATR_SIO_0     0U        /* ° */

#define INHNO_SIO_1      SCIF1_INT /* ߥϥɥֹ */
#define INTNO_SIO_1      SCIF1_INT /* ֹ */
#ifndef INTPRI_SIO_1
#define INTPRI_SIO_1     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_1 */
#define INTATR_SIO_1     0U        /* ° */

#define INHNO_SIO_2      SCIF2_INT /* ߥϥɥֹ */
#define INTNO_SIO_2      SCIF2_INT /* ֹ */
#ifndef INTPRI_SIO_2
#define INTPRI_SIO_2     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_2 */
#define INTATR_SIO_2     0U        /* ° */

#define INHNO_SIO_3      SCIF3_INT /* ߥϥɥֹ */
#define INTNO_SIO_3      SCIF3_INT /* ֹ */
#ifndef INTPRI_SIO_3
#define INTPRI_SIO_3     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_3 */
#define INTATR_SIO_3     0U        /* ° */

#define INHNO_SIO_4      SCIF4_INT /* ߥϥɥֹ */
#define INTNO_SIO_4      SCIF4_INT /* ֹ */
#ifndef INTPRI_SIO_4
#define INTPRI_SIO_4     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_4 */
#define INTATR_SIO_4     0U        /* ° */

#define INHNO_SIO_5      SCIF5_INT /* ߥϥɥֹ */
#define INTNO_SIO_5      SCIF5_INT /* ֹ */
#ifndef INTPRI_SIO_5
#define INTPRI_SIO_5     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_5 */
#define INTATR_SIO_5     0U        /* ° */

#define INHNO_SIO_6      SCIF6_INT /* ߥϥɥֹ */
#define INTNO_SIO_6      SCIF6_INT /* ֹ */
#ifndef INTPRI_SIO_6
#define INTPRI_SIO_6     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_6 */
#define INTATR_SIO_6     0U        /* ° */

#define INHNO_SIO_7      SCIF7_INT /* ߥϥɥֹ */
#define INTNO_SIO_7      SCIF7_INT /* ֹ */
#ifndef INTPRI_SIO_7
#define INTPRI_SIO_7     (-4)      /* ͥ */
#endif  /* INTPRI_SIO_7 */
#define INTATR_SIO_7     0U        /* ° */

#ifndef TOPPERS_MACRO_ONLY

/*
 *  SIOɥ饤Фν
 */
extern void sio_initialize(intptr_t exinf);

/*
 *  ꥢI/OݡȤΥץ
 */
extern SIOPCB *sio_opn_por(ID siopid, intptr_t exinf);

/*
 *  ꥢI/OݡȤΥ
 */
extern void sio_cls_por(SIOPCB *p_siopcb);

/*
 *  SIOγߥϥɥ
 */
extern void sio_isr(intptr_t exinf);

/*
 *  ꥢI/OݡȤؤʸ
 */
extern bool_t sio_snd_chr(SIOPCB *siopcb, char c);

/*
 *  ꥢI/OݡȤʸ
 */
extern int_t sio_rcv_chr(SIOPCB *siopcb);

/*
 *  ꥢI/OݡȤΥХåε
 */
extern void sio_ena_cbr(SIOPCB *siopcb, uint_t cbrtn);

/*
 *  ꥢI/OݡȤΥХåζػ
 */
extern void sio_dis_cbr(SIOPCB *siopcb, uint_t cbrtn);

/*
 *  ꥢI/OݡȤǽХå
 */
extern void sio_irdy_snd(intptr_t exinf);

/*
 *  ꥢI/OݡȤμΥХå
 */
extern void sio_irdy_rcv(intptr_t exinf);

#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_CHIP_SERIAL_H */
