/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2006-2011 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 *  @(#) $Id:
 */

#ifndef TOPPERS_RMA1_H
#define TOPPERS_RMA1_H

/*
 *  T|[g@\̒`
 */
#define TOPPERS_TARGET_SUPPORT_ENA_INT		/* ena_intT|[g */
#define TOPPERS_TARGET_SUPPORT_DIS_INT		/* dis_intT|[g */
#define TOPPERS_TARGET_SUPPORT_GET_UTM		/* get_utmT|[g */

/*
 *  T|[gVA|[ǧ
 */
#define TNUM_SIOP  8

/*
 *  SCIF̃x[XAhX
 */
#define SCIF0_BASE  0xE6C40000
#define SCIF1_BASE  0xE6C50000
#define SCIF2_BASE  0xE6C60000
#define SCIF3_BASE  0xE6C70000
#define SCIF4_BASE  0xE6C80000
#define SCIF5_BASE  0xE6CB0000
#define SCIF6_BASE  0xE6CC0000
#define SCIF7_BASE  0xE6CD0000

/*
 *  ݔԍ
 */
#define SCIF0_INT 132
#define SCIF1_INT 133
#define SCIF2_INT 134
#define SCIF3_INT 135
#define SCIF4_INT 136
#define SCIF5_INT 137
#define SCIF6_INT 138
#define SCIF7_INT 139

/*
 *  GICɊւݒ
 */
#define GICC_BASE     0xC2000000 //CPUC^tF[Xx[XAhX
#define GICD_BASE     0xC2800000 //DISTC^tF[Xx[XAhX

#define GIC_PRI_LEVEL         16 //Dx̌,256,128,64,32,16
#define GIC_TNUM_INT         352 //ݐ

/*
 *  ݗDxɊւݒ
 */
#define TMIN_INTPRI   (-(GIC_PRI_LEVEL - 1))   /* ݗDx̍ŏliōlj*/
#define TMAX_INTPRI   (-1)    /* ݗDx̍őliŒlj*/

/*
 *  reset/wdt
 */
#define MODEMR           0xFFCC0020
#define MODEMR_MD11      (1 << 11)
#define MODEMR_MD12      (1 << 12)

/*
 *  ^CeBbN̒`
 */
#define TIC_NUME     1U            /* ^CeBbN̎̕q */
#define TIC_DENO     1U            /* ^CeBbN̎̕ */

#endif /* TOPPERS_RMA1_H */
