/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2005-2011 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_syssvc.h 2485 2013-02-21 14:01:31Z ertl-honda $
 */

/*
 *  ƥॵӥΥåȰ¸ARMADILLO-800-EVAѡ
 *
 *  ƥॵӥΥåȰ¸Υ󥯥롼ɥե롥Υե
 *  Ƥϡݡͥȵҥե˵Ҥ졤Υե
 *  ̵ʤ븫ߡ
 */

#ifndef TOPPERS_TARGET_SYSSVC_H
#define TOPPERS_TARGET_SYSSVC_H

#include "armadillo-800-eva.h"

/*
 *  ȥ졼˴ؤ
 */
#ifdef TOPPERS_ENABLE_TRACE
#include "logtrace/trace_config.h"
#endif /* TOPPERS_ENABLE_TRACE */

/*
 *  ưåΥåȥƥ̾
 */
#if defined(TOPPERS_SAFEG_SECURE)
#define TARGET_NAME    "ARMADILLO-800-EVA-T(R-Mobile A1(Cortex-A9))"
#elif defined(TOPPERS_SAFEG_NONSECURE)
#define TARGET_NAME    "ARMADILLO-800-EVA-NT(R-Mobile A1(Cortex-A9) Non-Secure)"
#else /* !TOPPERS_SAFEG_NONSECURE | !TOPPERS_SAFEG_SECURE */
#define TARGET_NAME    "ARMADILLO-800-EVA(R-Mobile A1(Cortex-A9) Secure)"
#endif /* TOPPERS_SAFEG_NONSECURE */

/*
 *  ƥ٥ϤΤʸ
 *
 *  åȰ¸ˡǡʸcɽ//¸롥
 */
extern void	target_fput_log(char c);

/*
 *  ǻѤݡ
 */
#define LOGTASK_PORTID  USE_SIO_PORTID

/*
 *  UARTǳå
 */
//#define USE_SCIF_CLK_EXT

/*
 *  ܡ졼
 */
#define SCIF0_BPS_SETTING  115200
#define SCIF1_BPS_SETTING  115200
#define SCIF2_BPS_SETTING  115200
#define SCIF3_BPS_SETTING  115200
#define SCIF4_BPS_SETTING  115200
#define SCIF5_BPS_SETTING  115200
#define SCIF6_BPS_SETTING  115200
#define SCIF7_BPS_SETTING  115200

/*
 *  ͥ
 */

#ifdef TOPPERS_SAFEG_SECURE
#define INTPRI_SIO_0 -9
#define INTPRI_SIO_1 -9
#define INTPRI_SIO_2 -9
#define INTPRI_SIO_3 -9
#define INTPRI_SIO_4 -9
#define INTPRI_SIO_5 -9
#else /* TOPPERS_SAFEG_NONSECURE */
#define INTPRI_SIO_0 -2
#define INTPRI_SIO_1 -2
#define INTPRI_SIO_2 -2
#define INTPRI_SIO_3 -2
#define INTPRI_SIO_4 -2
#define INTPRI_SIO_5 -2
#endif /* TOPPERS_SAFEG_SECURE */

/*
 *  ݡȤ륷ꥢݡȤο
 */
#ifndef TNUM_PORT
#define TNUM_PORT       8
#endif /* TNUM_PORT */

/*
 *  ƥϢ
 *
 *  ǥե̤ͤꡥ
 */

#endif /* TOPPERS_TARGET_SYSSVC_H */
